All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
blas3.cpp File Reference
`#include <iostream>`
`#include "viennacl.hpp"`
`#include "viennacl_private.hpp"`
`#include "init_matrix.hpp"`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/linalg/direct_solve.hpp"`
`#include "viennacl/linalg/prod.hpp"`

Go to the source code of this file.

## Functions

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLgemm (ViennaCLHostScalar alpha, ViennaCLMatrix A, ViennaCLMatrix B, ViennaCLHostScalar beta, ViennaCLMatrix C)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLtrsm (ViennaCLMatrix A, ViennaCLUplo uplo, ViennaCLDiag diag, ViennaCLMatrix B)

## Function Documentation

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLgemm | ( | ViennaCLHostScalar | alpha,
|  | ViennaCLMatrix | A,
|  | ViennaCLMatrix | B,
|  | ViennaCLHostScalar | beta,
|  | ViennaCLMatrix | C
| ) |  |

Definition at line 35 of file blas3.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLtrsm | ( | ViennaCLMatrix | A,
|  | ViennaCLUplo | uplo,
|  | ViennaCLDiag | diag,
|  | ViennaCLMatrix | B
| ) |  |

Definition at line 118 of file blas3.cpp.